# Interface Signature.ThrowableSig

All Superinterfaces:
  `Signature`

All Known Subinterfaces:
  `Signature.ClassTypeSig, Signature.TypeVarSig`

Enclosing interface:
  `Signature`

public static sealed interface Signature.ThrowableSig extends Signature permits Signature.ClassTypeSig, Signature.TypeVarSig
Marker interface for a signature for a throwable type.

See Java Language Specification:
  8.4.6 Method Throws
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Sealed Class Hierarchy Graph:
Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface Signature

`Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`

## Method Summary

### Methods declared in interface Signature

`signatureString`